Skip to content
Start here

Delete Account Custom Nameserver

client.customNameservers.delete(stringcustomNSId, CustomNameserverDeleteParams { account_id } params, RequestOptionsoptions?): SinglePage<CustomNameserverDeleteResponse>
DELETE/accounts/{account_id}/custom_ns/{custom_ns_id}

Delete Account Custom Nameserver

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
customNSId: string

The FQDN of the name server.

formathostname
params: CustomNameserverDeleteParams { account_id }
account_id: string

Account identifier tag.

maxLength32
ReturnsExpand Collapse
CustomNameserverDeleteResponse = string

Unused

Delete Account Custom Nameserver

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const customNameserverDeleteResponse of client.customNameservers.delete(
  'ns1.example.com',
  { account_id: '372e67954025e0ba6aaa6d586b9e0b59' },
)) {
  console.log(customNameserverDeleteResponse);
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}